Subject: Re: Cygnus used in a Product ?
From: [email-masked] (Fergus Henderson)

16 Oct 1997 16:30:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

Claus Brod <[email-masked]> writes:

>desh wrote:
>> Anyone aware of any commercial application ported from UNIX to NT using
>> Cygnus ?
>> I would appreciate suggestion/Issues and experience related to porting a
>> commercial Unix based product on Windows NT.
>
>I'm not a licensing expert, but the license for the gnuwin32 stuff
>sounds as if you are required to ship source code for your app if it is
>based on gnuwin32 - I don't think that's acceptable for most commercial
>applications. But maybe I'm completely wrong on the licensing agreement?

Yes, you're wrong.

You don't need to ship source code unless your app is a "derivative work"
of the DLL, and if it just uses that standard POSIX interfaces it won't be.

Disclaimer: I do not represent Cygnus, I am not a lawyer,
this is not legal advice, yadda yadda yadda...

 | From fjh Fri Aug  8 19:00:24 1997
 | Subject: Re: [[email-masked]] Revised licensing terms
 | To: [email-masked] (win32)
 | Date: Fri, 8 Aug 1997 19:00:24 +1000 (EST)
 | In-Reply-To: <[email-masked]> from Bruce Perens at "Aug 6, 97 03:10:00 pm"
 | 
 | > As long as they use a straight GPL as one of their licenses all of the
 | > tools will be OK with us, and only the library a problem. We could still
 | > work on a GLIBC 2.0 based library if we wished an LGPL platform.
 | 
 | There should be no need for that.  As far as I can see, commercial
 | software can still use cygwin.dll, so long as it is not a derivative
 | work.  And since cygwin.dll just provides a standard POSIX interface,
 | it would be very hard for Cygnus to argue that a commercial application
 | that made use of it was a derivative work.  (A Cygnus employee said as
 | much on the cygwin mailing list.)  Linking with the beta18 libcygwin.a
 | should be fine too, because they've declared that we can use beta18
 | under the terms of the Cygwin Licence, which basically says that
 | libcygwin.a can be used by anyone without any conditions applying.
 | 
 | Thus the only thing we need to do is to continue to provide a version
 | of libcygwin.a that can be used with commercial software and that
 | works with future releases of cygwin.dll.  Even that may be unnecessary.
 | 
 | Disclaimer: I'm not a lawyer, this is not legal advice, yadda yadda yadda...

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".